Index: /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 847)
+++ /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 848)
@@ -69,8 +69,8 @@
 				var message = '';
 				if (event.ctrlKey) {
-					if (!isHightLight(node))
-						hightlightNode(node);
+					if (!isHighLight(node))
+						highlightNode(node);
 					else
-						clearHightLightNode(node);
+						clearHighLightNode(node);
 				}
 				else if (event.shiftKey) {
@@ -79,9 +79,9 @@
 					var start = aryNode.index(firstItem);
 					var finish = aryNode.index(node);
-					aryNode.slice(Math.min(start, finish), Math.max(start, finish) + 1).each( function (i,o){hightlightNode(o);});
+					aryNode.slice(Math.min(start, finish), Math.max(start, finish) + 1).each( function (i,o){highlightNode(o);});
 				}
 				else {
-					clearAllHightLightNode(node);
-					hightlightNode(node);					
+					clearAllHighLightNode(node);
+					highlightNode(node);					
 				}
 				
@@ -101,26 +101,26 @@
 			}
 			
-			var hightlightNode = function (node) {
+			var highlightNode = function (node) {
 				$(node).addClass('selected');
 			}
 			
-			var isHightLight = function (node) {
+			var isHighLight = function (node) {
 				return $(node).hasClass('selected');
 			}
 			
-			var clearAllHightLightNode = function () {
+			var clearAllHighLightNode = function () {
 				$(oContainer).find('> UL > LI').removeClass('selected');
 			}
 			
-			var clearHightLightNode = function (node) {
+			var clearHighLightNode = function (node) {
 				$(node).removeClass('selected');
 			}
 			
-			var hightLightAllNode = function () {
-				clearAllHightLightNode();
+			var highLightAllNode = function () {
+				clearAllHighLightNode();
 				$(oContainer).find('> UL > LI').addClass('selected');
 			}
 			
-			var getAllHightLightNode = function () {
+			var getAllHighLightNode = function () {
 				return $(oContainer).find('> UL > LI.selected');
 			}
@@ -136,5 +136,5 @@
 				           'user-select':'none'
 				     }).bind('selectstart', function(){ return false; 
-				     }).bind('click', function(e){clearAllHightLightNode(); return false; });
+				     }).bind('click', function(e){clearAllHighLightNode(); return false; });
 
 				var ul = $('<ul></ul>',{'class':'vsgrid'});
@@ -239,9 +239,9 @@
 
 			this.rename = function (key) {
-				var hightlightedNodes = self.getHightLightItem();
-				if ($(hightlightedNodes).length == 0 || $(hightlightedNodes).length > 1) return false;
-
-				var nodeID = $(hightlightedNodes).get(0).id;
-				var nodeType = $(hightlightedNodes).get(0).type;
+				var highlightedNodes = self.getHighLightItem();
+				if ($(highlightedNodes).length == 0 || $(highlightedNodes).length > 1) return false;
+
+				var nodeID = $(highlightedNodes).get(0).id;
+				var nodeType = $(highlightedNodes).get(0).type;
 
 				var selectedNode = $(oContainer).find('LI#' + nodeType + nodeID + '.vscell > DIV.file-name > A#' + nodeID);
@@ -256,5 +256,5 @@
 			}			
 			
-			this.getHightLightItem = function () {
+			this.getHighLightItem = function () {
 				var nodeSelected = $(oContainer).find('LI.vscell.selected');				
 				var items = [];
@@ -273,5 +273,5 @@
 
 			this.selectAllNode = function () {
-				hightLightAllNode();
+				highLightAllNode();
 			}
 			
Index: /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 847)
+++ /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 848)
@@ -409,5 +409,5 @@
 								}
 								var btnDownloadClick = function() {
-									var items = o.oGrid.getHightLightItem();
+									var items = o.oGrid.getHighLightItem();
 									var fileid = new Array();
 									var folder = new Array();
@@ -430,5 +430,5 @@
 
 								var btnDelClick = function() {
-									var items = o.oGrid.getHightLightItem();
+									var items = o.oGrid.getHighLightItem();
 									if ($(items).length == 0) {
 										var dirID = $(o.oTree.getSelectedNode())
@@ -505,5 +505,5 @@
 														case 27:
 															var gridSelectedItems = o.oGrid
-																	.getHightLightItem();
+																	.getHighLightItem();
 															if ($(gridSelectedItems).length > 0) {
 																o.oGrid
@@ -591,5 +591,5 @@
 								}
 								var btnPreviewClick = function() {
-									var items = o.oGrid.getHightLightItem();
+									var items = o.oGrid.getHighLightItem();
 									if ($(items).length == 0) {
 										var dirID = $(o.oTree.getSelectedNode())
@@ -920,5 +920,5 @@
 									// detect selected items
 									// push to clipboard
-									var items = o.oGrid.getHightLightItem();
+									var items = o.oGrid.getHighLightItem();
 
 									if ($(items).length == 0) {
@@ -1283,5 +1283,5 @@
 											+ '</strong></span>';
 
-									var items = o.oGrid.getHightLightItem();
+									var items = o.oGrid.getHighLightItem();
 									if (items.length == 1) {
 										if ((typeof items[0].minetype !== 'undefined')) {
Index: /pro-violet-viettel/www/deploy/20150304/assets/js/tree.js
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/js/tree.js	(revision 847)
+++ /pro-violet-viettel/www/deploy/20150304/assets/js/tree.js	(revision 848)
@@ -93,5 +93,5 @@
 			var nodeClick = function (node) {
 				var folderID = $(node).attr('id');
-				selectedNode = hightlightNode(node);
+				selectedNode = highlightNode(node);
 				o.manager.setTreeCurrentNode(folderID);
 				
@@ -109,5 +109,5 @@
 			};
 			
-			var hightlightNode = function (node) {
+			var highlightNode = function (node) {
 				$(oContainer).find('.currentDir').removeClass('currentDir');
 				$(node).addClass('currentDir');
@@ -252,5 +252,5 @@
 			this.activeNode = function (node) {
 				var dirID = $(node).attr('id');
-				selectedNode = hightlightNode(node);
+				selectedNode = highlightNode(node);
 				o.manager.setTreeCurrentNode(dirID);
 				expandNode(node);