Index: /pro-violet-viettel/www/deploy/20150304/assets/css/space/style2.css
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/css/space/style2.css	(revision 853)
+++ /pro-violet-viettel/www/deploy/20150304/assets/css/space/style2.css	(revision 853)
@@ -0,0 +1,464 @@
+/*-------------------------
+    Simple reset
+--------------------------*/
+*{
+    margin:0;
+    padding:0;
+}
+/*-------------------------
+    General Styles
+--------------------------*/
+html{
+    background-color:#ebebec;
+
+    background-image:-webkit-radial-gradient(center, #ebebec, #b4b4b4);
+    background-image:-moz-radial-gradient(center, #ebebec, #b4b4b4);
+    background-image:radial-gradient(center, #ebebec, #b4b4b4);
+
+    /* min-height:900px; */
+}
+
+body{
+    /* font:15px/1.3 Arial, sans-serif; */
+    color: #4f4f4f;
+}
+
+a, a:visited {
+    outline:none;
+    color:#389dc1;
+}
+
+a:hover{
+    text-decoration:none;
+}
+
+section, footer, header, aside{
+    display: block;
+}
+
+/*----------------------------
+    The file upload form
+-----------------------------*/
+
+
+#upload{
+    font-family:'PT Sans Narrow', sans-serif;
+    background-color:#373a3d;
+
+    background-image:-webkit-linear-gradient(top, #373a3d, #313437);
+    background-image:-moz-linear-gradient(top, #373a3d, #313437);
+    background-image:linear-gradient(top, #373a3d, #313437);
+
+    width:550px;
+    padding:30px;
+    border-radius:3px;
+    
+    margin:0px auto 0px;
+    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
+}
+
+#drop{
+    background-color: #2E3134;
+    padding: 40px 50px;
+    margin-bottom: 30px;
+    border: 20px solid rgba(0, 0, 0, 0);
+    border-radius: 3px;
+    border-image: url('../img/border-image.png') 25 repeat;
+    text-align: center;
+    text-transform: uppercase;
+    height:250px;
+    font-size:16px;
+    font-weight:bold;
+    color:#7f858a;
+}
+
+#drop a{
+    background-color:#007a96;
+    padding:12px 26px;
+    color:#fff;
+    font-size:14px;
+    border-radius:2px;
+    cursor:pointer;
+    display:inline-block;
+    margin-top:12px;
+    line-height:1;
+}
+
+#drop a:hover{
+    background-color:#0986a3;
+}
+
+#drop input{
+    display:none;
+}
+
+#upload ul{
+    list-style:none;
+    margin:0 -30px;
+    border-top:1px solid #2b2e31;
+    border-bottom:1px solid #3d4043;
+}
+
+#upload ul li{
+
+    background-color:#333639;
+
+    background-image:-webkit-linear-gradient(top, #333639, #303335);
+    background-image:-moz-linear-gradient(top, #333639, #303335);
+    background-image:linear-gradient(top, #333639, #303335);
+
+    border-top:1px solid #3d4043;
+    border-bottom:1px solid #2b2e31;
+    padding:15px;
+    height: 52px;
+
+    position: relative;
+}
+
+#upload ul li input{
+    display: none;
+}
+
+#upload ul li p{
+    width: 144px;
+    overflow: hidden;
+    white-space: nowrap;
+    color: #EEE;
+    font-size: 16px;
+    font-weight: bold;
+    position: absolute;
+    top: 5px;
+    left: 100px;
+}
+
+#upload ul li i{
+    font-weight: normal;
+    font-style:normal;
+    color:#7f7f7f;
+    display:block;
+}
+
+#upload ul li canvas{
+    top: 0px;
+    left: 32px;
+    position: absolute; 
+}
+
+#upload ul li span{
+    width: 15px;
+    height: 12px;
+    background: url('../img/icons.png') no-repeat;
+    position: absolute;
+    top: 18px;
+    right: 33px;
+    cursor:pointer;
+}
+
+#upload ul li.working span{
+    height: 16px;
+    background-position: 0 -12px;
+}
+
+#upload ul li.error p{
+    color:red;
+}
+
+
+/*----------------------------
+    The Demo Footer
+-----------------------------*/
+
+
+footer{
+    background-color: #080808;
+    bottom: 0;
+    box-shadow: 0 -1px 2px rgba(0,0,0,0.4);
+    height: 40px;
+    left: 0;
+    position: fixed;
+    width: 100%;
+    z-index: 100000;
+}
+
+footer h2{
+    font-size: 14px;
+    font-weight: normal;
+    position: absolute;
+    top:0;
+    left: 50%;
+    bottom:0;
+    margin-left: -420px;
+    padding:13px 20px 0;
+    border:1px solid #000;
+    border-width:0 1px;
+    background-color:rgba(0,0,0,0.6);
+    box-shadow:0 0 5px #000 inset;
+    line-height: 1;
+    margin-top: 0;
+}
+
+footer h2 a{
+    color: #EEEEEE !important;
+    text-decoration:none !important;
+}
+
+footer h2 i{
+    font-style:normal;
+    color:#888;
+}
+
+#tzine-download{
+    opacity:0.9;
+    background-color:#257691;
+    font-size:11px;
+    text-align:center;
+    text-transform:uppercase;
+    width:150px;
+    height:28px;
+    line-height:28px;
+    text-decoration:none !important;
+
+    display: inline-block;
+    border-radius: 2px;
+    color: #fff !Important;
+    font-weight: bold;
+    box-shadow: 0 -1px 2px #1e5e74 inset;
+
+    border-top:1px solid #26849c;
+
+    text-shadow:1px 1px 1px #1e6176;
+    margin-top:6px;
+}
+
+#tzine-download:hover{
+    opacity:1;
+}
+
+#tzine-actions{
+    position:absolute;
+    top:0;
+    width:500px;
+    right:50%;
+    margin-right:-420px;
+    text-align:right;
+}
+
+#tzine-actions iframe{
+    display: inline-block;
+    height: 21px;
+    width: 95px;
+    position: relative;
+    float: left;
+    margin-top: 11px;
+}
+
+
+
+
+
+/* --------------------------------Fix something from style.css ---------------------------*/
+
+/* Bootstrap modified */
+.dropdown-menu.dropdown-close {
+    top: 100%;
+}
+#tools-bar .btn-success, #tools-bar .btn-success:focus,
+#tools-bar .btn-danger, #tools-bar .btn-danger:focus,
+#tools-bar .btn-warning, #tools-bar .btn-warning:focus,
+#tools-bar .btn-info, #tools-bar .btn-info:focus {
+    background-color: transparent;
+    border-color: transparent;
+}
+#tools-bar .btn, 
+#tools-bar .btn-default, 
+#tools-bar .btn:focus, 
+#tools-bar .btn-default:focus, 
+#tools-bar .btn:hover, 
+#tools-bar .btn-default:hover {
+    background-color: #F5F5F5!important;
+    border-color: #F5F5F5;
+}
+/*.btn:hover, .btn-default:hover {
+    border: 1px solid #666;
+    border-width: 1px !important;
+    border-radius: 100px !important;
+}*/
+#tools-bar .btn {
+    color: #666 !important;
+}
+/* End Bootstrap */
+
+#navigation-bar {
+    border-bottom: 1px solid #eee;
+    padding: 10px 0;
+}
+.breadcrumb .home-icon {
+    color: #9BB8A7;
+}
+@media only screen and (max-width: 991px) {
+    .breadcrumb {
+       margin-left: 10px;
+    }
+}
+.change-file-view {
+    padding-right: 10px;
+}
+.change-file-view li {
+    cursor: pointer;
+    color: #C4C4C4;
+    font-size: 16px;
+}
+.change-file-view li:hover {
+    color: #989797;
+}
+#file-container UL.vsgrid LI.vscell {
+    height: 100px;
+}
+#file-container {
+    height: calc(100% - 47px);
+}
+#status-bar {
+    color: #666;
+    background: #F5F5F5;
+    padding: 3px 0 0 20px;
+    border-top: 1px #CDCDCD solid;
+}
+#status-bar span:first-child {
+    float: right;
+    padding-right: 10px;
+}
+
+img[src=''], img:not([src]) {
+    opacity:0;
+}
+.btn:focus {
+    outline: none !important;
+}
+.preview .modal-content {
+    background: transparent;
+    border: 0;
+}
+.preview .modal-content .modal-body .bootbox-body {
+    margin-top: 5px;
+    color: #7F7F7F;
+}
+.preview button.bootbox-close-button {
+    float: none;
+    position: absolute;
+    right: 0;
+    font-size: 31px;
+    font-weight: 700;
+    line-height: 1;
+    color: #FFF;
+    text-shadow: 0 1px 0 #fff;
+    border: 2px solid #FFFFFF;
+    background: #000;
+    border-radius: 50%;
+    opacity: 1;
+    z-index: 99;
+    padding: 0 6px;
+}
+.preview button.bootbox-close-button:hover,
+.preview button.bootbox-close-button:focus {
+    color: #fff;
+    text-decoration: none;
+    cursor: pointer;
+    filter: alpha(opacity=100);
+    opacity: 1;
+    outline: 0;
+}
+.preview .modal-content .modal-footer {
+    display: none;
+}
+.vscell {
+    cursor: pointer;
+}
+.vstree li.home {
+    background: url(../images/icon-set/cloud-16.png) left top no-repeat
+}
+.vstree li.directory {
+    background: url(../images/icon-set/folder-16.png) left top no-repeat
+}
+#file-container ul.vsgrid li.vscell.selected div[class^="icon-"],
+#file-container ul.vsgrid li.vscell.selected div.file-name {
+    background-color: #E4E4E4;
+}
+#file-container ul.vsgrid li.vscell div.icon-xvl {
+    background-image: url(../images/icon-set/violet.png) !important;
+}
+#file-container ul.vsgrid li.vscell div.icon-directory {
+    background-image: url(../images/icon-set/folder.png) !important; 
+}
+#file-container ul.vsgrid li.vscell div.icon-xlsx {
+    background-image: url(../images/icon-set/xlsx.png) !important; 
+}
+#file-container ul.vsgrid li.vscell div.icon-txt {
+    background-image: url(../images/icon-set/txt.png) !important; 
+}
+#file-container ul.vsgrid li.vscell div.icon-mp4,
+#file-container ul.vsgrid li.vscell div.icon-flv {
+    background-image: url(../images/icon-set/video.png) !important; 
+}
+/*------------ File Manager: Grid View ----- */
+#file-container ul.vsgrid li.vscell div[class^="icon-"] {
+    width:64px;
+    height:54px;
+    padding: 5px;
+    background-repeat: no-repeat;
+    background-position: center;
+}
+#file-container ul.vsgrid li.vscell div[class^="icon-"] img {
+    height: 100%;
+    width: 100%;
+    border: 1px solid #B8B8B8;
+}
+#file-container ul.vsgrid li.vscell div[class^="icon-"]:not([class="icon-directory"]) img:not([src]),
+#file-container ul.vsgrid li.vscell div[class^="icon-"]:not([class="icon-directory"]):empty {
+    background-image: url(../images/icon-set/file.png);
+}
+
+/*------------ File Manager: List View ----- */
+.list-view#file-container {
+    padding: 0;
+}
+.list-view#file-container > ul.vsgrid {
+    padding: 10px 0 10px 10px;
+}
+.list-view#file-container > ul.vsgrid > li.vscell {
+    height: auto;
+    padding: 10px 2px;
+    border-bottom: 1px solid #eee;
+    text-align: left;
+    float: none;
+    width: 100%;
+}
+.list-view#file-container > ul.vsgrid > li.vscell:hover,
+.list-view#file-container > ul.vsgrid > li.vscell.selected {
+    background: rgba(87, 199, 214, 0.07);
+}
+.list-view#file-container > ul.vsgrid > li.vscell.selected {
+    background: #E3F2FF;
+}
+.list-view#file-container ul.vsgrid li.vscell.selected div[class^="icon-"],
+.list-view#file-container ul.vsgrid li.vscell.selected div.file-name {
+    background-color: transparent;
+}
+.list-view#file-container > ul.vsgrid > li.vscell > div.icon-directory {
+    background-size: cover;
+}
+.list-view#file-container > ul.vsgrid > li.vscell > div.file-name {
+    padding: 5px 15px;
+    text-align: left;
+}
+.list-view#file-container > ul.vsgrid > li.vscell > div.file-name a:hover{
+    text-decoration: underline;
+}
+.list-view#file-container ul.vsgrid li.vscell div[class^="icon-"] img {
+    padding: 0;
+}
+.list-view#file-container > ul.vsgrid > li.vscell > div[class^="icon-"] {
+    width: 28px;
+    height: 28px;
+    float: left;
+    background-size: cover;
+}
Index: /pro-violet-viettel/www/deploy/20150304/assets/css/style2.css
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/css/style2.css	(revision 852)
+++ /pro-violet-viettel/www/deploy/20150304/assets/css/style2.css	(revision 853)
@@ -2,6 +2,4 @@
     Simple reset
 --------------------------*/
-
-
 *{
     margin:0;
@@ -38,164 +36,4 @@
     display: block;
 }
-
-
-/* --------------------------------Fix something from style.css ---------------------------*/
-
-/* Bootstrap modified */
-.dropdown-menu.dropdown-close {
-    top: 100%;
-}
-#tools-bar .btn-success, .btn-success:focus,
-#tools-bar .btn-danger, .btn-danger:focus,
-#tools-bar .btn-warning, .btn-warning:focus,
-#tools-bar .btn-info, .btn-info:focus {
-    background-color: transparent;
-    border-color: transparent;
-}
-#tools-bar .btn, .btn-default, .btn:focus, .btn-default:focus, .btn:hover, .btn-default:hover {
-    background-color: #F5F5F5!important;
-    border-color: #F5F5F5;
-}
-/*.btn:hover, .btn-default:hover {
-    border: 1px solid #666;
-    border-width: 1px !important;
-    border-radius: 100px !important;
-}*/
-#tools-bar .btn {
-    color: #666 !important;
-}
-/* End Bootstrap */
-
-#navigation-bar {
-    border-bottom: 1px solid #eee;
-    padding: 10px 0;
-}
-.breadcrumb .home-icon {
-    color: #9BB8A7;
-}
-@media only screen and (max-width: 991px) {
-    .breadcrumb {
-	margin-left: 10px;
-    }
-}
-.change-file-view {
-    padding-right: 10px;
-}
-.change-file-view li {
-    cursor: pointer;
-    color: #C4C4C4;
-    font-size: 16px;
-}
-.change-file-view li:hover {
-    color: #989797;
-}
-#file-container UL.vsgrid LI.vscell {
-    height: 100px;
-}
-#file-container {
-    height: calc(100% - 47px);
-}
-#status-bar {
-    color: #666;
-    background: #F5F5F5;
-    padding: 3px 0 0 20px;
-    border-top: 1px #CDCDCD solid;
-}
-#status-bar span:first-child {
-    float: right;
-    padding-right: 10px;
-}
-
-img[src=''], img:not([src]) {
-    opacity:0;
-}
-.btn:focus {
-    outline: none !important;
-}
-.preview .modal-content {
-    background: transparent;
-    border: 0;
-}
-.preview .modal-content .modal-body .bootbox-body {
-    margin-top: 5px;
-}
-.preview button.bootbox-close-button {
-  	float: none;
-    position: absolute;
-    right: 0;
-    font-size: 31px;
-    font-weight: 700;
-    line-height: 1;
-    color: #FFF;
-    text-shadow: 0 1px 0 #fff;
-    border: 2px solid #FFFFFF;
-    background: #000;
-    border-radius: 50%;
-    opacity: 1;
-    z-index: 99;
-    padding: 0 6px;
-}
-.preview button.bootbox-close-button:hover,
-.preview button.bootbox-close-button:focus {
-    color: #fff;
-    text-decoration: none;
-    cursor: pointer;
-    filter: alpha(opacity=100);
-    opacity: 1;
-    outline: 0;
-}
-.preview .modal-content .modal-footer {
-    display: none;
-}
-/*------------ File Manager: Grid View ----- */
-#file-container ul.vsgrid li.vscell div[class^="icon-"] img {
-    height: 100%;
-    width: 100%;
-    padding: 5px;
-}
-#file-container ul.vsgrid li.vscell div[class^="icon-"]:not([class="icon-directory"]) img:not([src]),
-#file-container ul.vsgrid li.vscell div[class^="icon-"]:not([class="icon-directory"]):empty {
-    background-image: url(../images/file-icon-new.png);
-    background-repeat: no-repeat;
-}
-
-/*------------ File Manager: List View ----- */
-.list-view#file-container > ul.vsgrid > li.vscell {
-	height: auto;
-  	padding: 10px 2px;
-  	border-bottom: 1px solid #eee;
-  	text-align: left;
-  	float: none;
-	width: 100%;
-}
-.list-view#file-container > ul.vsgrid > li.vscell:hover,
-.list-view#file-container > ul.vsgrid > li.vscell.selected {
-	background: rgba(87, 199, 214, 0.07);
-}
-.list-view#file-container > ul.vsgrid > li.vscell.selected {
-    background: #E3F2FF;
-}
-.list-view#file-container ul.vsgrid li.vscell.selected div[class^="icon-"],
-.list-view#file-container ul.vsgrid li.vscell.selected div.file-name {
-    background-color: transparent;
-}
-.list-view#file-container > ul.vsgrid > li.vscell > div.icon-directory {
-	background-size: cover;
-}
-.list-view#file-container > ul.vsgrid > li.vscell > div.file-name {
-	padding: 5px 15px;
-	text-align: left;
-}
-.list-view#file-container > ul.vsgrid > li.vscell > div.file-name a:hover{
-	text-decoration: underline;
-}
-
-.list-view#file-container > ul.vsgrid > li.vscell > div[class^="icon-"] {
-	width: 28px;
-  	height: 28px;
-  	float: left;
-    background-size: cover;
-}
-
 
 /*----------------------------
@@ -414,2 +252,213 @@
     margin-top: 11px;
 }
+
+
+
+
+
+/* --------------------------------Fix something from style.css ---------------------------*/
+
+/* Bootstrap modified */
+.dropdown-menu.dropdown-close {
+    top: 100%;
+}
+#tools-bar .btn-success, #tools-bar .btn-success:focus,
+#tools-bar .btn-danger, #tools-bar .btn-danger:focus,
+#tools-bar .btn-warning, #tools-bar .btn-warning:focus,
+#tools-bar .btn-info, #tools-bar .btn-info:focus {
+    background-color: transparent;
+    border-color: transparent;
+}
+#tools-bar .btn, 
+#tools-bar .btn-default, 
+#tools-bar .btn:focus, 
+#tools-bar .btn-default:focus, 
+#tools-bar .btn:hover, 
+#tools-bar .btn-default:hover {
+    background-color: #F5F5F5!important;
+    border-color: #F5F5F5;
+}
+/*.btn:hover, .btn-default:hover {
+    border: 1px solid #666;
+    border-width: 1px !important;
+    border-radius: 100px !important;
+}*/
+#tools-bar .btn {
+    color: #666 !important;
+}
+/* End Bootstrap */
+
+#navigation-bar {
+    border-bottom: 1px solid #eee;
+    padding: 10px 0;
+}
+.breadcrumb .home-icon {
+    color: #9BB8A7;
+}
+@media only screen and (max-width: 991px) {
+    .breadcrumb {
+       margin-left: 10px;
+    }
+}
+.change-file-view {
+    padding-right: 10px;
+}
+.change-file-view li {
+    cursor: pointer;
+    color: #C4C4C4;
+    font-size: 16px;
+}
+.change-file-view li:hover {
+    color: #989797;
+}
+#file-container UL.vsgrid LI.vscell {
+    height: 100px;
+}
+#file-container {
+    height: calc(100% - 47px);
+}
+#status-bar {
+    color: #666;
+    background: #F5F5F5;
+    padding: 3px 0 0 20px;
+    border-top: 1px #CDCDCD solid;
+}
+#status-bar span:first-child {
+    float: right;
+    padding-right: 10px;
+}
+
+img[src=''], img:not([src]) {
+    opacity:0;
+}
+.btn:focus {
+    outline: none !important;
+}
+.preview .modal-content {
+    background: transparent;
+    border: 0;
+}
+.preview .modal-content .modal-body .bootbox-body {
+    margin-top: 5px;
+    color: #7F7F7F;
+}
+.preview button.bootbox-close-button {
+    float: none;
+    position: absolute;
+    right: 0;
+    font-size: 31px;
+    font-weight: 700;
+    line-height: 1;
+    color: #FFF;
+    text-shadow: 0 1px 0 #fff;
+    border: 2px solid #FFFFFF;
+    background: #000;
+    border-radius: 50%;
+    opacity: 1;
+    z-index: 99;
+    padding: 0 6px;
+}
+.preview button.bootbox-close-button:hover,
+.preview button.bootbox-close-button:focus {
+    color: #fff;
+    text-decoration: none;
+    cursor: pointer;
+    filter: alpha(opacity=100);
+    opacity: 1;
+    outline: 0;
+}
+.preview .modal-content .modal-footer {
+    display: none;
+}
+.vscell {
+    cursor: pointer;
+}
+.vstree li.home {
+    background: url(../images/icon-set/cloud-16.png) left top no-repeat
+}
+.vstree li.directory {
+    background: url(../images/icon-set/folder-16.png) left top no-repeat
+}
+#file-container ul.vsgrid li.vscell.selected div[class^="icon-"],
+#file-container ul.vsgrid li.vscell.selected div.file-name {
+    background-color: #E4E4E4;
+}
+#file-container ul.vsgrid li.vscell div.icon-xvl {
+    background-image: url(../images/icon-set/violet.png) !important;
+}
+#file-container ul.vsgrid li.vscell div.icon-directory {
+    background-image: url(../images/icon-set/folder.png) !important; 
+}
+#file-container ul.vsgrid li.vscell div.icon-xlsx {
+    background-image: url(../images/icon-set/xlsx.png) !important; 
+}
+#file-container ul.vsgrid li.vscell div.icon-txt {
+    background-image: url(../images/icon-set/txt.png) !important; 
+}
+#file-container ul.vsgrid li.vscell div.icon-mp4,
+#file-container ul.vsgrid li.vscell div.icon-flv {
+    background-image: url(../images/icon-set/video.png) !important; 
+}
+/*------------ File Manager: Grid View ----- */
+#file-container ul.vsgrid li.vscell div[class^="icon-"] {
+    width:64px;
+    height:54px;
+    padding: 5px;
+    background-repeat: no-repeat;
+    background-position: center;
+}
+#file-container ul.vsgrid li.vscell div[class^="icon-"] img {
+    height: 100%;
+    width: 100%;
+    border: 1px solid #B8B8B8;
+}
+#file-container ul.vsgrid li.vscell div[class^="icon-"]:not([class="icon-directory"]) img:not([src]),
+#file-container ul.vsgrid li.vscell div[class^="icon-"]:not([class="icon-directory"]):empty {
+    background-image: url(../images/icon-set/file.png);
+}
+
+/*------------ File Manager: List View ----- */
+.list-view#file-container {
+    padding: 0;
+}
+.list-view#file-container > ul.vsgrid {
+    padding: 10px 0 10px 10px;
+}
+.list-view#file-container > ul.vsgrid > li.vscell {
+    height: auto;
+    padding: 10px 2px;
+    border-bottom: 1px solid #eee;
+    text-align: left;
+    float: none;
+    width: 100%;
+}
+.list-view#file-container > ul.vsgrid > li.vscell:hover,
+.list-view#file-container > ul.vsgrid > li.vscell.selected {
+    background: rgba(87, 199, 214, 0.07);
+}
+.list-view#file-container > ul.vsgrid > li.vscell.selected {
+    background: #E3F2FF;
+}
+.list-view#file-container ul.vsgrid li.vscell.selected div[class^="icon-"],
+.list-view#file-container ul.vsgrid li.vscell.selected div.file-name {
+    background-color: transparent;
+}
+.list-view#file-container > ul.vsgrid > li.vscell > div.icon-directory {
+    background-size: cover;
+}
+.list-view#file-container > ul.vsgrid > li.vscell > div.file-name {
+    padding: 5px 15px;
+    text-align: left;
+}
+.list-view#file-container > ul.vsgrid > li.vscell > div.file-name a:hover{
+    text-decoration: underline;
+}
+.list-view#file-container ul.vsgrid li.vscell div[class^="icon-"] img {
+    padding: 0;
+}
+.list-view#file-container > ul.vsgrid > li.vscell > div[class^="icon-"] {
+    width: 28px;
+    height: 28px;
+    float: left;
+    background-size: cover;
+}