Index: /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 853)
+++ /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 854)
@@ -800,6 +800,5 @@
 															// 0}};
 															var newFileData = data.result;
-															newFileData = $
-																	.parseJSON(data.result);
+															newFileData = $.parseJSON(data.result);
 															if (newFileData.ERROR.errCode == 0) {
 																for ( var i = 0; i < $(newFileData.FILES).length; i++) {
@@ -811,8 +810,8 @@
 																		fileurl : file.fileurl,
 																		parentID : file.parentID,
-																		minetype : file.minetype
+																		minetype : file.minetype,
+																		size: file.size
 																	};
-																	o.oGrid
-																			.createNode(node);
+																	o.oGrid.createNode(node);
 																	o.data.FILES[$(o.data.FILES).length] = node;
 																}
@@ -826,8 +825,6 @@
 																		minetype : file.minetype
 																	};
-																	o.oTree
-																			.createNode(node);
-																	o.oGrid
-																			.createNode(node);
+																	o.oTree.createNode(node);
+																	o.oGrid.createNode(node);
 																	o.data.DIRECTORIES[$(o.data.DIRECTORIES).length] = node;
 																}
@@ -1085,30 +1082,16 @@
 															parseData) {
 														if ($(parseData.DIRECTORIES).length > 0) {
-															$(
-																	parseData.DIRECTORIES)
-																	.each(
-																			function(
-																					index) {
-																				o.oTree
-																						.deletion(this);
-																				o.oGrid
-																						.deletion(
-																								this,
-																								'directory');
+															$(parseData.DIRECTORIES).each(
+																			function(index) {
+																				o.oTree.deletion(this);
+																				o.oGrid.deletion(this,'directory');
 																			});
 														}
 
 														if ($(parseData.FILES).length > 0) {
-															$(parseData.FILES)
-																	.each(
-																			function(
-																					index) {
-																				var file = o.data.FILES[searchItemByID(
-																						this,
-																						'file')];
-																				o.oGrid
-																						.deletion(
-																								this,
-																								file.minetype);
+															$(parseData.FILES).each(
+																			function(index) {
+																				var file = o.data.FILES[searchItemByID(this,'file')];
+																				o.oGrid.deletion(this,file.minetype);
 																			});
 														}
@@ -1116,32 +1099,22 @@
 													callbackDone : function(obj) {
 														if ($(parseData.DIRECTORIES).length > 0) {
-															$(
-																	parseData.DIRECTORIES)
-																	.each(
-																			function(
-																					index) {
-																				delete o.data.DIRECTORIES[searchItemByID(
-																						this,
-																						'directory')];
+															$(parseData.DIRECTORIES).each(
+																			function(index) {
+																				o.data.DIRECTORIES.splice(searchItemByID(this,'directory'), 1);
 																			});
 														}
 
 														if ($(parseData.FILES).length > 0) {
-															$(parseData.FILES)
-																	.each(
-																			function(
-																					index) {
-																				delete o.data.FILES[searchItemByID(
-																						this,
-																						'file')];
+															$(parseData.FILES).each(
+																			function(index) {
+																				o.data.FILES.splice(searchItemByID(this,'file'), 1);
 																			});
 														}
 
-														o.oTree
-																.setData(o.data.DIRECTORIES);
+														o.oTree.setData(o.data.DIRECTORIES);
 														o.oGrid.setData(o.data);
-														self
-																.setTreeCurrentNode(parentID);
+														self.setTreeCurrentNode(parentID);
 														o.oGrid.reloadGrid();
+														console.log(o.data);
 													},
 													callbackFail : function() {