Index: /pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 856)
+++ /pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 857)
@@ -93,7 +93,4 @@
 		$aryError = array('err' => $this->xml->status->_param['err'], 'errCode' => (int)$this->xml->status->_param['errCode']);
 		$aryData = array('id' => $this->xml->status->_param['id'], 'name' => $name, 'parentID' => $parentDir, 'ERROR' => $aryError);
-		
-		/* $aryError = array('err' => '', 'errCode' => 0);
-		$aryData =  array('id' => rand(100, 1000), 'name' => $name, 'parentID' => $parentDir, 'ERROR' => $aryError); */
 		echo json_encode($aryData);
 	}
Index: /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 856)
+++ /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 857)
@@ -265,4 +265,5 @@
 							var type = $(this).find('> DIV.file-name > INPUT[type="hidden"][class^="type"]').val();
 							var item = type == 'directory' ? o.data.DIRECTORIES[o.manager.searchItemByID(id, type)] : o.data.FILES[o.manager.searchItemByID(id, type)];
+							item.type = type;
 							items.push(item);
 						});
Index: /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 856)
+++ /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 857)
@@ -780,23 +780,5 @@
 														},
 														done : function(e, data) {
-															// var newFileData =
-															// {"DIRECTORIES":
-															// [{"id": "5000",
-															// "name": "Dir1",
-															// "parentID": 85}],
-															// "FILES": [{"id":
-															// "2000", "name":
-															// "File in root 1",
-															// "parentID": 85,
-															// "minetype":
-															// "text"},{"id":
-															// "2001", "name":
-															// "File in root 2",
-															// "parentID": 85,
-															// "minetype":
-															// "text"}],
-															// "ERROR": {"err":
-															// "", "errCode":
-															// 0}};
+															
 															var newFileData = data.result;
 															newFileData = $.parseJSON(data.result);
@@ -814,5 +796,5 @@
 																	};
 																	o.oGrid.createNode(node);
-																	o.data.FILES[$(o.data.FILES).length] = node;
+																	o.data.FILES.push(node);
 																}
 
@@ -827,22 +809,8 @@
 																	o.oTree.createNode(node);
 																	o.oGrid.createNode(node);
-																	o.data.DIRECTORIES[$(o.data.DIRECTORIES).length] = node;
+																	o.data.DIRECTORIES.push(node);
 																}
-
-																/*
-																 * var node =
-																 * {id:
-																 * parseData.id,
-																 * name:
-																 * parseData.name,
-																 * parentID:
-																 * parseData.parentID};
-																 * o.oTree.createNode(node);
-																 * o.data.DIRECTORIES[$(o.data.DIRECTORIES).length] =
-																 * node; if
-																 * (o.oGrid)
-																 * o.oGrid.reloadGrid();
-																 */
-															}
+																
+																self.refreshStatusBar();															}
 														}
 
@@ -902,6 +870,6 @@
 											parentID : parseData.parentID
 										};
-										o.oTree.createNode(node);
-										o.data.DIRECTORIES[$(o.data.DIRECTORIES).length] = node;
+										o.oTree.createNode(node);										
+										o.data.DIRECTORIES.push(node);
 										if (o.oGrid)
 											o.oGrid.reloadGrid();
@@ -944,32 +912,29 @@
 
 									var items = [];
+									
 									var destination = self.getTreeCurrentNode();
 									if (oClipBoard.act != 'copy') {
-										$(oClipBoard.items)
-												.each(
-														function(index) {
-															var node = new Object;
-															if (this.type == 'directory')
-																buildTreeFromParent(
-																		this.id,
-																		node);
-															else {
-																node.id = this.id;
-																node.type = 'file';
-															}
-
-															items[index] = node;
-														});
+										$(oClipBoard.items).each(
+											function(index) {
+												var node = new Object;
+												if (this.type == 'directory')
+													buildTreeFromParent(this.id, node);
+												else {
+													node.id = this.id;
+													node.type = 'file';
+												}
+
+												items[index] = node;
+											});
 									} else {
 										items = oClipBoard.items;
 									}
-
+									
 									for ( var i = 0; i < items.length; i++) {
 										if (items[i].type == 'directory') {
-											items[i] = self
-													.getAllDirChilds(items[i]);
-										}
-									}
-
+											items[i] = self.getAllDirChilds(items[i]);
+										}
+									}
+									
 									var postdata = {
 										act : oClipBoard.act,
@@ -984,31 +949,28 @@
 										callbackSuccess : function(parseData) {
 											if (oClipBoard.act == 'copy') {
-												$(parseData.DIRECTORIES)
-														.each(
+												$(parseData.DIRECTORIES).each(
 																function(index) {
 																	o.data.DIRECTORIES[$(o.data.DIRECTORIES).length] = this;
 																});
 
-												$(parseData.FILES)
-														.each(
+												$(parseData.FILES).each(
 																function(index) {
 																	o.data.FILES[$(o.data.FILES).length] = this;
 																});
 
-												o.data.DIRECTORIES
-														.sort(function(a, b) {
-															return a.parentID
-																	- b.parentID;
+												o.data.DIRECTORIES.sort(function(a, b) {
+															return a.parentID - b.parentID;
 														});
 
-												o.oTree
-														.setData(o.data.DIRECTORIES);
+												o.oTree.setData(o.data.DIRECTORIES);
 												o.oGrid.setData(o.data);
-												o.oTree
-														.createCopyNode(parseData.DIRECTORIES);
+												o.oTree.createCopyNode(parseData.DIRECTORIES);
 												o.oGrid.reloadGrid();
 											} else if (oClipBoard.act == 'move') {
 
 											}
+											
+											oClipBoard.act == '';
+											oClipBoard.items = null;
 										}
 									});
@@ -1053,6 +1015,5 @@
 									for ( var i = 0; i < item.length; i++) {
 										if (item[i].type == 'directory') {
-											item[i] = self
-													.getAllDirChilds(item[i]);
+											item[i] = self.getAllDirChilds(item[i]);
 										}
 									}
@@ -1116,5 +1077,5 @@
 														self.setTreeCurrentNode(parentID);
 														o.oGrid.reloadGrid();
-														console.log(o.data);
+														self.refreshStatusBar();
 													},
 													callbackFail : function() {
@@ -1260,5 +1221,4 @@
 										var id = $(o.oTree.getSelectedNode()).attr('id');
 										var item = o.data.DIRECTORIES[self.searchItemByID(id, 'directory')];
-										console.log(item);
 									}
 									if (items.length == 1) {