Index: pro-violet-viettel/www/deploy/20150304/application/modules/filemanager/views/main.php
===================================================================
--- pro-violet-viettel/www/deploy/20150304/application/modules/filemanager/views/main.php	(revision 868)
+++ pro-violet-viettel/www/deploy/20150304/application/modules/filemanager/views/main.php	(revision 869)
@@ -121,5 +121,5 @@
     </div>
 </div>
-
+<div class="loading-modal"></div>
 <?php
 $this->load->view('layout/footer');
Index: pro-violet-viettel/www/deploy/20150304/assets/css/space/style.css
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/css/space/style.css	(revision 868)
+++ pro-violet-viettel/www/deploy/20150304/assets/css/space/style.css	(revision 869)
@@ -12,4 +12,14 @@
 	margin: 0;
 	padding:0;
+}
+
+body.loading {
+    overflow: hidden;   
+}
+
+/* Anytime the body has the loading class, our
+   modal element will be visible */
+body.loading .loading-modal {
+    display: block;
 }
 
@@ -159,2 +169,16 @@
 	text-align: center;
 }
+
+.loading-modal {
+    display:    none;
+    position:   fixed;
+    z-index:    1000;
+    top:        0;
+    left:       0;
+    height:     100%;
+    width:      100%;
+    background: rgba( 255, 255, 255, .8 ) 
+                url('../../images/icon-set/loading.gif') 
+                50% 50% 
+                no-repeat;
+}
Index: pro-violet-viettel/www/deploy/20150304/assets/js/manager.js
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 868)
+++ pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 869)
@@ -116,6 +116,5 @@
                                     if (p.script != null
                                             && (o.datasource == 'ajax' || isDev)) {
-                                        $
-                                                .post(
+                                        $.post(
                                                         o.host + o.hostmodule
                                                         + p.script,
@@ -123,6 +122,5 @@
                                                         function (data) {
                                                             if (data) {
-                                                                parseData = $
-                                                                        .parseJSON(data);
+                                                                parseData = $.parseJSON(data);
                                                                 p.parseData = parseData;
                                                             }
@@ -130,18 +128,14 @@
                                                             if (p.callbackSuccess != null) {
                                                                 if (parseInt(parseData.ERROR.errCode) === 0)
-                                                                    p
-                                                                            .callbackSuccess(parseData);
+                                                                    p.callbackSuccess(parseData);
                                                                 else {
-                                                                    p
-                                                                            .callbackFail(parseData.ERROR);
+                                                                    p.callbackFail(parseData.ERROR);
                                                                 }
                                                             }
 
                                                         })
-                                                .done(
-                                                        function () {
+                                                .done(function () {
                                                             if (p.callbackDone != null)
-                                                                p
-                                                                        .callbackDone(p.parseData);
+                                                                p.callbackDone(p.parseData);
                                                         })
                                                 .fail(function () {
@@ -152,6 +146,5 @@
                                                         function () {
                                                             if (p.callbackAlways != null)
-                                                                p
-                                                                        .callbackAlways(this);
+                                                                p.callbackAlways(this);
                                                         });
                                     } else if (o.datasource == 'json') {
@@ -321,4 +314,11 @@
                                         });
                                     });
+                                    
+                                    var $body = $("body");
+                                    $(document).on({
+                                	    ajaxStart: function() { $body.addClass("loading"); },
+                                	    ajaxStop: function() { $body.removeClass("loading"); }    
+                                	});
+                                    
                                     sendCommand({
                                         postdata: null,