Index: pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php
===================================================================
--- pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 874)
+++ pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 875)
@@ -145,4 +145,7 @@
 		
 		$xmlData = $this->vservices->actionExecute('copy' ,array('act' => $act,'data' => $data, 'destination' => $destination == 0 ? -1:$destination));
+		
+		error_log(date('YmdHis').' - $xmlData: '.var_export($xmlData, TRUE), 3, '/srv/www/sbg/log/file.log');
+		
 		$this->xml->parse($xmlData);
 		
Index: pro-violet-viettel/www/deploy/20150304/assets/css/space/style.css
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/css/space/style.css	(revision 874)
+++ pro-violet-viettel/www/deploy/20150304/assets/css/space/style.css	(revision 875)
@@ -29,9 +29,10 @@
 	margin: 0px;
 	position: static;
-	-webkit-user-select: none;
-	-khtml-user-select: none;
-	-moz-user-select: none;
-	-o-user-select: none;
-	user-select: none;
+    -webkit-touch-callout: none;
+    -webkit-user-select: none;
+    -khtml-user-select: none;
+    -moz-user-select: none;
+    -ms-user-select: none;
+    user-select: none;
 }
 
Index: pro-violet-viettel/www/deploy/20150304/assets/js/grid.js
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 874)
+++ pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 875)
@@ -161,4 +161,5 @@
 				$(oContainer).find ('UL').remove();
 				$(oContainer).append(ul);
+				o.manager.refreshNavigator();
 			}
 
@@ -208,8 +209,6 @@
 				$(node).text(newName);
 				$(node).find('>INPUT').remove();
-
-				/*treeNodes[dirID].name = newName;
-				updateData(dirID, 'rename');*/
-			}
+			}
+			
 			/******************
 			 * RENAME - END *
Index: pro-violet-viettel/www/deploy/20150304/assets/js/manager.js
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 874)
+++ pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 875)
@@ -23,5 +23,5 @@
                                 if (o.navigationbar == undefined)
                                     o.navigationbar = null;
-
+                                
                                 if (o.oTree == undefined)
                                     o.oTree = null;
@@ -60,4 +60,9 @@
                                     act: null
                                 };
+                                
+                                var aryPath = [];
+                                
+                                if (o.homeNode == undefined)
+                                    o.homeNode = null;
 
                                 /**
@@ -203,4 +208,7 @@
                                         manager: oContainer
                                     });
+                                    
+                                    self.setHomeNode();
+                                    
                                     self.refreshStatusBar();
                                 };
@@ -315,8 +323,7 @@
                                     });
                                     
-                                    var $body = $("body");
                                     $(document).on({
-                                	    ajaxStart: function() { $body.addClass("loading"); },
-                                	    ajaxStop: function() { $body.removeClass("loading"); }    
+                                	    ajaxStart: function() { $("body").addClass("loading"); },
+                                	    ajaxStop: function() { $("body").removeClass("loading"); }    
                                 	});
                                     
@@ -516,9 +523,7 @@
                                                                         .getHighLightItem();
                                                                 if ($(gridSelectedItems).length > 0) {
-                                                                    o.oGrid
-                                                                            .rename(e.which);
+                                                                    o.oGrid.rename(e.which);
                                                                 } else {
-                                                                    o.oTree
-                                                                            .rename(e.which);
+                                                                    o.oTree.rename(e.which);
                                                                 }
                                                                 break;
@@ -529,6 +534,5 @@
                                                             case 65:
                                                                 if (e.ctrlKey) {
-                                                                    o.oGrid
-                                                                            .selectAllNode();
+                                                                    o.oGrid.selectAllNode();
                                                                 }
                                                                 break;
@@ -1005,5 +1009,44 @@
                                  * COPY & PASTE & MOVE - END *
                                  **********************************************/
-
+                                this.buildDirectoriesTree = function (objDir) {
+                                	var parentID = objDir.id;
+                                	var aryDirs = [];
+                                	var branch = [];
+                                	var childDirs = [];
+                                	var childFiles = [];
+                                	
+                                	for(var i = 0; i < o.data.DIRECTORIES.length; i++) {
+                                		aryDirs[i] = o.data.DIRECTORIES[i];
+                                	}
+                                	
+                                	for (var i = 0; i < aryDirs.length; i++) {
+                                		if (aryDirs[i].parentID == parentID) {
+                                			childDirs = self.buildDirectoriesTree(aryDirs[i]);
+                               				aryDirs[i].childDirs = childDirs;
+                               				aryDirs[i].childFiles = searchItemsByParent(aryDirs[i].id, 'file');
+                               				branch.push(aryDirs[i]);
+                                		}
+                                	}
+                                	
+                                	return branch;
+                                }
+                                
+                                this.searchParents = function (objDir) {
+                                	var parentID = objDir.parentID;
+                                	var aryDirs = [];                                	
+                                	
+                                	aryDirs[0] = o.homeNode;
+                                	for(var i = 1; i <= o.data.DIRECTORIES.length; i++) {
+                                		aryDirs[i] = o.data.DIRECTORIES[i - 1];
+                                	}
+                                	
+                                	for (var i = 0; i < aryDirs.length; i++) {
+                                		if (aryDirs[i].id == parentID) {
+                                			self.searchParents(aryDirs[i]);
+                                			if ($.inArray(aryDirs[i], aryPath) == -1) aryPath.push(aryDirs[i]);
+                                		}
+                                	}
+                                }
+                                
                                 this.deleteItem = function (item) {
 
@@ -1209,6 +1252,5 @@
                                 }
 
-                                this.searchItemsByParent = function (parentID,
-                                        type) {
+                                this.searchItemsByParent = function (parentID, type) {
                                     return searchItemsByParent(parentID, type);
                                 }
@@ -1267,5 +1309,35 @@
                                     $(statusbar).html(message);
                                 }
-
+                                
+                                this.refreshNavigator = function () {
+                                	var navigatorBar = $('DIV#' + o.navigationbar + ' > UL.breadcrumb');
+                                	$(navigatorBar).find('LI').remove();
+                                	
+                                	var nodeID = self.getTreeCurrentNode();
+                                	if (nodeID != 0) {
+                                		var node = o.data.DIRECTORIES[searchItemByID(nodeID, 'directory')];
+                                		self.searchParents(node);
+                                		aryPath.push(node);
+                                	}
+                                	else {
+                                		if (o.homeNode == null) self.setHomeNode();
+                                		aryPath.push(o.homeNode);
+                                	}
+                                	
+                                	for(var idx = 0; idx < aryPath.length; idx++) {
+                                		var i = $('<i></i>',{'class':'ace-icon icon-folder-close home-icon'});
+                                		var a = $('<a></a>',{text: aryPath[idx].name});
+                                		var li = $('<li></li>');
+                                		if (aryPath[idx].id == 0) 
+                                			$(li).append(i, a);
+                                		else 
+                                			$(li).append(a);
+                                		
+                                		$(navigatorBar).append(li);
+                                	}
+                                	
+                                	aryPath.splice(0,aryPath.length);
+                                }
+                                
                                 this.redirectPost = function (location, args) {
                                     var form = '';
@@ -1308,25 +1380,9 @@
                                     }
                                 }
-
-                                this.buildDirectoriesTree = function (objDir) {
-                                	var parentID = objDir.id;
-                                	var aryDirs = o.data.DIRECTORIES;
-                                	var aryFiles = o.data.FILES;
-                                	var branch = [];
-                                	var childDirs = [];
-                                	var childFiles = [];
-                                	
-                                	for (var i = 0; i < aryDirs.length; i++) {
-                                		if (aryDirs[i].parentID == parentID) {
-                                			childDirs = self.buildDirectoriesTree(aryDirs[i]);
-                               				aryDirs[i].childDirs = childDirs;
-                               				aryDirs[i].childFiles = searchItemsByParent(aryDirs[i].id, 'file');
-                               				branch.push(aryDirs[i]);
-                                		}
-                                	}
-                                	
-                                	return branch;
-                                }
                                 
+                                this.setHomeNode = function () {
+                                	o.homeNode = {id:0, name:o.oTree.getRootName(), parentID:-1};
+                                }
+
                                 this.initialize = function () {
                                     init();
Index: pro-violet-viettel/www/deploy/20150304/assets/js/tree.js
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/js/tree.js	(revision 874)
+++ pro-violet-viettel/www/deploy/20150304/assets/js/tree.js	(revision 875)
@@ -164,4 +164,5 @@
 					isRoot: true
 				});
+				
 				if (homeNode && o.data.length > 0) {
 					for (var i = 0; i < o.data.length; i++) {
@@ -311,4 +312,8 @@
 			}
 			
+			this.getRootName = function () {
+				return o.rootName;
+			}
+			
 			this.initialize = function () {
 				initTree();